  import java.util.* ; 
	public class HashMapDemo { 
	public static void main(String args[]) { 
		HashMap hm = new HashMap();               // 创建HashMap对象
		hm.put("John Doe", new Double(3434.34));      // 加入元素到HashMap中
		hm.put("Tom Smith", new Double(123.22)); 
		hm.put("Jane Baker", new Double(1378.00)); 
		   Set set = hm.entrySet();                     // 返回包含映射中项的集合
		   Iterator i = set.iterator();                     // 用Iterator得到HashMpa中的项
		   while (i.hasNext()){                        // 显示元素
		      Map.Entry me = (Map.Entry) i.next();       // Map.Entry可以操作映射的输入
		      System.out.print(me.getKey() + ": ");
		      System.out.println(me.getValue());
		   }
		   double balance = ((Double) hm.get("John Doe")).doubleValue();  // 让John Doe中的值增加1000
		   hm.put("John Doe", new Double(balance + 1000));             // 用新的值替换掉旧的值
		   System.out.println("John Doe's 现在的资金：" + hm.get("John Doe"));
		 }
    } 
